商户
申请提升限额
提交商户限额提升申请,通过额外的合规验证流程提高每日或每月交易上限。
POST
/
v2
/
upgrade
/
limits
申请提升限额
curl --request POST \
--url https://api-test.velafi.com/v2/upgrade/limits \
--header 'Content-Type: application/json' \
--header 'X-BH-TOKEN: <api-key>' \
--data '
{
"merchantId": 123,
"callbackUrl": "<string>"
}
'import requests
url = "https://api-test.velafi.com/v2/upgrade/limits"
payload = {
"merchantId": 123,
"callbackUrl": "<string>"
}
headers = {
"X-BH-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-BH-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({merchantId: 123, callbackUrl: '<string>'})
};
fetch('https://api-test.velafi.com/v2/upgrade/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api-test.velafi.com/v2/upgrade/limits")
.header("X-BH-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"merchantId\": 123,\n \"callbackUrl\": \"<string>\"\n}")
.asString();{
"code": 123,
"msg": "<string>",
"data": {
"link": "<string>"
}
}当商户的业务需求超出其当前交易限额时,请使用此端点。提交此申请后将启动强化合规审查,商户可能需要提供额外文件——例如资金证明、营业执照或经审计的财务报表。审批通过后,商户的每日和每月限额将被更新,并体现在商户列表响应中。
所有请求都必须包含
X-BH-TOKEN 请求头和 Content-Type: application/json。端点
POST https://api.velafi.com/v2/upgrade/limits
请求参数
number
必填
申请提升限额的商户 ID。
string
必填
限额提升验证流程完成后 VelaFi 调用的 URL。
响应字段
number
响应码。此端点成功时返回
0。string
状态消息。成功时为
success。示例
cURL
curl -X POST https://api.velafi.com/v2/upgrade/limits \
-H "X-BH-TOKEN: YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"merchantId": 151209,
"callbackUrl": "https://your-app.com/limit-upgrade-callback"
}'
Response
{
"code": 0,
"msg": "success",
"data": {
"link": "https://www.velafi.com/verify?velafi_token=abc123"
}
}
通过轮询商户列表响应中的
upgradeMerchantLimitStatus 字段,跟踪限额提升申请的结果。⌘I
申请提升限额
curl --request POST \
--url https://api-test.velafi.com/v2/upgrade/limits \
--header 'Content-Type: application/json' \
--header 'X-BH-TOKEN: <api-key>' \
--data '
{
"merchantId": 123,
"callbackUrl": "<string>"
}
'import requests
url = "https://api-test.velafi.com/v2/upgrade/limits"
payload = {
"merchantId": 123,
"callbackUrl": "<string>"
}
headers = {
"X-BH-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-BH-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({merchantId: 123, callbackUrl: '<string>'})
};
fetch('https://api-test.velafi.com/v2/upgrade/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api-test.velafi.com/v2/upgrade/limits")
.header("X-BH-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"merchantId\": 123,\n \"callbackUrl\": \"<string>\"\n}")
.asString();{
"code": 123,
"msg": "<string>",
"data": {
"link": "<string>"
}
}
